Bug 102808 - Missing BuildRequires python-devel.
Missing BuildRequires python-devel.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rhnlib (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 09:49 EDT by Dams
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 19:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-08-21 09:49:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[anvil@gruyere ~]# rpmbuild --rebuild rhnlib-1.3-6.src.rpm
[SNIP]
+ /usr/bin/python setup.py install --root=/var/tmp/rhnlib-buildroot
--record=INSTALLED_FILES
running install
Traceback (most recent call last):
  File "setup.py", line 19, in ?
    licence = "GPL",
  File "/usr/lib/python2.2/distutils/core.py", line 138, in setup
    dist.run_commands()
  File "/usr/lib/python2.2/distutils/dist.py", line 893, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.2/distutils/dist.py", line 912, in run_command
    cmd_obj.ensure_finalized()
  File "/usr/lib/python2.2/distutils/cmd.py", line 112, in ensure_finalized
    self.finalize_options()
  File "/usr/lib/python2.2/distutils/command/install.py", line 267, in
finalize_options
    (prefix, exec_prefix) = get_config_vars('prefix', 'exec_prefix')
  File "/usr/lib/python2.2/distutils/sysconfig.py", line 421, in get_config_vars
    func()
  File "/usr/lib/python2.2/distutils/sysconfig.py", line 326, in _init_posix
    raise DistutilsPlatformError(my_msg)
distutils.errors.DistutilsPlatformError: invalid Python installation: unable to
open /usr/lib/python2.2/config/Makefile (No such file or directory)
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.73250 (%install)


Installing python-devel fixed that problem. Please include it as BuildRequires
in spec file.

Version-Release number of selected component (if applicable):
rhnlib-1.3-6

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild
Comment 1 Mihai Ibanescu 2003-08-22 11:57:07 EDT
Fixed in rhnlib 1.3-7 and newer.
Thanks for the bug report.
Comment 2 Miloslav Trmac 2004-02-04 19:10:53 EST
Fix confirmed in rhnlib-1.4-10.

Note You need to log in before you can comment on or make changes to this bug.